API ReferencePre EncounterPatientsV1
Get eligibility timeline
Gets a patient's eligibility audit timeline, newest-first. Org-scoped and keyset-paginated.
Authorization
BearerAuth AuthorizationBearer <token>
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
In: header
Path Parameters
id*pre-encounterPatientId
The unique identifier for a Patient
Query Parameters
event_types?EligibilityAuditEventType
Value in
- "APPOINTMENT_STATUS_CHANGED"
- "APPOINTMENT_WORK_QUEUE_CHANGED"
- "APPOINTMENT_COPAY_UPDATED"
- "COVERAGE_CREATED"
- "COVERAGE_UPDATED"
- "ELIG_CHECK_COMPLETED"
coverage_id?pre-encounterCoverageId
The unique identifier for a Coverage in the database
Format
uuidappointment_id?pre-encounterAppointmentId
The unique identifier for an Appointment.
page_token?pre-encounterPageToken
A token that can be used to retrieve the next or previous page of results
limit?integer
Header Parameters
Response Body
application/json
curl -X GET "https://example.com/patients/v1/string/eligibility-timeline" \ -H "Authorization: string"{ "next_page_token": "string", "prev_page_token": "string", "total": 0, "items": [ { "id": "string", "event_type": "APPOINTMENT_STATUS_CHANGED", "patient_id": "string", "coverage_id": "2c2eb9bb-3fba-4dea-9c0f-c7984738c3e6", "appointment_id": "string", "timestamp": "2019-08-24T14:15:22Z", "user_id": "string", "user_name": "string", "payload": { "property1": null, "property2": null } } ]}